Subject: Re: bug#43303: GCC package name

From: Malte Gerdes <[email-masked]>
Date: Thu, 10 Sep 2020 08:18:43 +0200

Hi,

the GCC package itself isn't to useful. I think you are looking for the
gcc-toolchain package which installs GCC, binutils and libc.

Malte

On Thu, 10 Sep 2020, 07:22 Jeffrey Walton, <[email-masked]> wrote:

> Hi Everyone,
>
> It took me about 15 minutes to install GCC on Guix because Guix named
> the GCC package libgccjit.
>
> I understand Guix package manager is powerful. I think you should use
> an alias feature (or whatever it is called under Guix), and create and
> few aliases to help with administration:
>
>    gcc -> libgccjit
>    g++ -> libgccjit
>    gcc-c++ -> libgccjit
>
> These are the names developers expect for the compiler. They don't
> expect a name like libgccjit.
>
> With the aliases in place, a command like 'guix install gcc' works as
> expected.
>
> Without the aliases (and absent a sane package name), people have to
> lookup the documentation and read how to use the package manager for a
> simple task like installing the compiler. When 50 or 100 developers
> waste 15 minutes of their time, that's about 1 man-week wasted.
> There's no reason to waste man-weeks on simple tasks.
>
> Thanks in advance.
>
>
>
>